shmop_read
shmop_write
Shared Memory Functions
PHP Manual

# shmop_size

Get size of shared memory block

### Description

int shmop_size ( int `$shmid` )

shmop_size is used to get the size, in bytes of the shared memory block.

### Parameters

`shmid`

  The shared memory block identifier created by shmop_open

### Return Values

Returns an int, which represents the number of bytes the shared memory block occupies.

### Examples

Example #1 Getting the size of the shared memory block

`<?php
$shm_size = shmop_size($shm_id);
?>`

This example will put the size of shared memory block identified by $shm_id into $shm_size.